
Redmine - Defect #13318

I'm getting the following error when submitting a ticket update that contains a "time"/number under

Spent Time

2013-02-28 13:28 - kirthan shetty

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

Hi

I'm getting the following error when submitting a ticket update that contains a "time"/number under Spent Time... Does anyone have

any insight on how to possibly fix this issue? Running Redmine 1.2.

NoMethodError (undefined method `position' for #<Issue:0xb56a39b0>):

app/models/issue.rb:606:in `save_issue_with_child_records'

app/models/issue.rb:588:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:175:in `update'

passenger (3.0.17) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.17) lib/phusion_passenger/abstract_request_handler.rb:516:in `accept_and_process_next_request'

passenger (3.0.17) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.17) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.17) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.17) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.17) lib/phusion_passenger/utils.rb:470:in `safe_fork'

passenger (3.0.17) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.17) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.17) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.17) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.17) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.17) helper-scripts/passenger-spawn-server:99

Rendering /var/www/vhosts/redmine/httpdocs/public/500.html (500 Internal Server Error)

History

#1 - 2013-02-28 14:36 - Etienne Massip

- Priority changed from High to Normal

1.2 is no more supported, it's quite old.

I don't think that position has ever been an Issue model property ever, it could be caused by a plugin.

#2 - 2013-02-28 14:44 - kirthan shetty

previously it was working , the only thing is i cannot update issues or create new issue , after creating new issue if i submit it , it  shows

Internal error
An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

#3 - 2013-03-01 09:07 - Jean-Philippe Lang

- Subject changed from I'm getting the following error when submitting a ticket update that contains a "time"/number under Spent Time... Does anyone

have any insight on how to possibly fix this issue? Running Redmine 1.2. to I'm getting the following error when submitting a ticket update that

contains a "time"/number under Spent Time

- Status changed from New to Closed

- Affected version (unused) set to 1.2.0

- Resolution set to Invalid

- Affected version set to 1.2.0

There is no Issue#position in Redmine. I guess you have local changes or plugins.
